# Uses of Interface
org.sunflow.core.GIEngine

Packages that use GIEngine
Package
Description
org.sunflow
org.sunflow.core.gi

## Uses of GIEngine in org.sunflow

Fields in org.sunflow with type parameters of type GIEngine
Modifier and Type
Field
Description
`static final Plugins<GIEngine>`
PluginRegistry.`giEnginePlugins`

## Uses of GIEngine in org.sunflow.core.gi

Classes in org.sunflow.core.gi that implement GIEngine
Modifier and Type
Class
Description
`class`
`AmbientOcclusionGIEngine`
`class`
`FakeGIEngine`
This is a quick way to get a bit of ambient lighting into your scene with hardly any overhead.
`class`
`InstantGI`
`class`
`IrradianceCacheGIEngine`
`class`
`PathTracingGIEngine`